<?php

/**
 * @file
 * Contains \Drupal\tcmb\TcmbCurrencySettingsForm
 */

namespace Drupal\tcmb;

use Drupal\system\SystemConfigFormBase;

/**
 * Configure Tcmb currency settings.
 */
class TcmbCurrencySettingsForm extends SystemConfigFormBase {

  /**
   * Implements \Drupal\Core\Form\FormInterface::getFormID().
   */
  public function getFormID() {
    return 'tcmb_currency_settings';
  }

  /**
   * Implements \Drupal\Core\Form\FormInterface::buildForm().
   */
  public function buildForm(array $form, array &$form_state) {
    $config = $this->configFactory->get('tcmb.settings');
    $form['tcmb_currency_codes'] = array(
      '#type' => 'checkboxes',
      '#title' => t('Currency Codes'),
      '#default_value' => $config->get('tcmb_currency_codes') ?: array(),
      '#options' => tcmb_currency_codes(),
    );

    return parent::buildForm($form, $form_state);
  }

  /**
   * Implements \Drupal\Core\Form\FormInterface::validateForm().
   */
  public function validateForm(array &$form, array &$form_state) {
    if (!$form_state['values']['tcmb_currency_codes']) {
      form_set_error('tcmb_currency_codes', t('You need to set some codes.'));
    }
  }

  /**
   * Implements \Drupal\Core\Form\FormInterface::submitForm().
   */
  public function submitForm(array &$form, array &$form_state) {
    $this->configFactory->get('tcmb.settings')
      ->set('tcmb_currency_codes', $form_state['values']['tcmb_currency_codes'])
      ->save();

    parent::submitForm($form, $form_state);
  }

}
