<?php
/**
 * @file
 * Contains \Drupal\tcmb\TcmbGoldSettingsForm
 */

namespace Drupal\tcmb;

use Drupal\system\SystemConfigFormBase;

/**
 * Configure Tcmb gold settings.
 */

class TcmbGoldSettingsForm extends SystemConfigFormBase {
  /**
   * Implements \Drupal\Core\Form\FormInterface::getFormID().
   */
  public function getFormID() {
    return 'tcmb_gold_settings';
  }

  /**
   * Implements \Drupal\Core\Form\FormInterface::buildForm().
   */
  public function buildForm(array $form, array &$form_state) {
    $config = $this->configFactory->get('tcmb.settings');
    $form = array();
    $form['tcmb_gold_codes'] = array(
      '#type' => 'checkboxes',
      '#title' => t('Gold prices'),
      '#default_value' => $config->get('tcmb_gold_codes') ?: array(),
      '#options' => tcmb_gold_codes(),
    );
    return parent::buildForm($form, $form_state);
  }
  /**
   * Implements \Drupal\Core\Form\FormInterface::validateForm().
   */
  public function validateForm(array &$form, array &$form_state) {
    if (!$form_state['values']['tcmb_gold_codes']) {
      form_set_error('tcmb_gold_codes', t('You need to set some codes.'));
    }
  }
  /**
   * Implements \Drupal\Core\Form\FormInterface::submitForm().
   */
  public function submitForm(array &$form, array &$form_state) {
    $this->configFactory->get('tcmb.settings')
      ->set('tcmb_gold_codes', $form_state['values']['tcmb_gold_codes'])
      ->save();
    parent::submitForm($form, $form_state);
  }
}
