<?php
/**
 * @file
 * Contains \Drupal\tcmb\TcmbCurrencySettingsForm
 */

namespace Drupal\tcmb;

use Drupal\system\SystemConfigFormBase;

/**
 * Configure Tcmb currency settings.
 */

class TcmbOtherGoldSettingsForm extends SystemConfigFormBase {
  /**
   * Implements \Drupal\Core\Form\FormInterface::getFormID().
   */
  public function getFormID() {
    return 'tcmb_other_settings_gold';
  }

  /**
   * Implements \Drupal\Core\Form\FormInterface::buildForm().
   */
  public function buildForm(array $form, array &$form_state) {
    $tcmb_gold_xml = new \DomDocument();
    $load = @$tcmb_gold_xml->load('http://xml.altinkaynak.com.tr/altin.xml');
    $tcmb_gold_xpath = new \DOMXPath($tcmb_gold_xml);
    $query = "//DOVIZ[ADI='Tarih']";
    $results = $tcmb_gold_xpath->query($query);
    $tcmb_gold_date = $results->item(0)->getElementsByTagName('ALIS')->item(0)->nodeValue;
    $form = array();
    $form['tcmb_gold_settings'] = array(
      '#type' => 'fieldset',
      '#title' => t('Tcmb gold settings.'),
    );
    $form['tcmb_gold_settings']['tcmb_show_gold_block_title'] = array(
      '#type' => 'checkbox',
      '#title' => t('Show block title?'),
      '#default_value' => config('tcmb.settings')->get('tcmb_show_gold_block_title', array()),
    );
    $form['tcmb_gold_settings']['tcmb_show_gold_block_footer'] = array(
      '#type' => 'checkbox',
      '#title' => t('Show footer?'),
      '#default_value' => config('tcmb.settings')->get('tcmb_show_gold_block_footer', array()),
    );
    return parent::buildForm($form, $form_state);
  }
  /**
   * Implements \Drupal\Core\Form\FormInterface::submitForm().
   */
  public function submitForm(array &$form, array &$form_state) {
    config('tcmb.settings')
      ->set('tcmb_show_gold_block_title', $form_state['values']['tcmb_show_gold_block_title'])
      ->set('tcmb_show_gold_block_footer', $form_state['values']['tcmb_show_gold_block_footer'])
      ->save();
    parent::submitForm($form, $form_state);
  }
}
