<?php
/**
 * @file
 * Contains \Drupal\tcmb\TcmbCurrencySettingsForm
 */

namespace Drupal\tcmb;

use Drupal\system\SystemConfigFormBase;

/**
 * Configure Tcmb currency settings.
 */

class TcmbOtherSettingsForm extends SystemConfigFormBase {
  /**
   * Implements \Drupal\Core\Form\FormInterface::getFormID().
   */
  public function getFormID() {
    return 'tcmb_other_settings';
  }

  /**
   * Implements \Drupal\Core\Form\FormInterface::buildForm().
   */
  public function buildForm(array $form, array &$form_state) {
    $tcmb_currency_xml = new \DomDocument();
    $tcmb_currency_xml->load('http://www.tcmb.gov.tr/kurlar/today.xml');
    $form = array();
    $form['tcmb_currency_settings'] = array(
      '#type' => 'fieldset',
      '#title' => t('Tcmb currency settings.'),
    );
    $form['tcmb_currency_settings']['tcmb_show_currency_block_title'] = array(
      '#type' => 'checkbox',
      '#title' => t('Show block title?'),
      '#default_value' => config('tcmb.settings')->get('tcmb_show_currency_block_title', 1),
    );
    $form['tcmb_currency_settings']['tcmb_show_currency_block_footer'] = array(
      '#type' => 'checkbox',
      '#title' => t('Show footer?'),
      '#default_value' => config('tcmb.settings')->get('tcmb_show_currency_block_footer', 1),
    );
    return parent::buildForm($form, $form_state);
  }
  /**
   * Implements \Drupal\Core\Form\FormInterface::submitForm().
   */
  public function submitForm(array &$form, array &$form_state) {
    config('tcmb.settings')
      ->set('tcmb_show_currency_block_title', $form_state['values']['tcmb_show_currency_block_title'])
      ->set('tcmb_show_currency_block_footer', $form_state['values']['tcmb_show_currency_block_footer'])
      ->save();
    parent::submitForm($form, $form_state);
  }
}
